7/10/17

Full 1.12 update! STUFF!

1. Added all the new beds.
2. Added the concrete and powder.
3. Added all the glazed Terracotta. I'm especially proud of how the black one turned out.
4. Added a bunch of new sounds. They mostly work. May tweak later.
5. Added parrots. They are Chatot. There are many different kinds of it, and I took a couple liberties to keep the gray one cockatiel-colored.
6. Added illusioners. They are Hypno. Why not Zoroark? Well, let's just say that your old pal Iaeyan can't bring himself to hurt a Zoroark, and Hypno is much creepier. He will steal your babies.
7. Stuff...?
8. http://yonge.deviantart.com/art/Avali-656739108
9. I'm stalling at this point.
10. Removed Lavender Town

3/15/17- Full 1.11.2 Update! Now, witness the power of this fully functional resource pack. Something something something Distortion World.

You may want to read the next update down as well. It didn't officially come out.

1. Tweaked the Lang files.
2. Maybe added something else? I forgot.
3. Removed Lavender Town

3/14/17- Blocks & Items Beta

Two betas in one day! I think I'll save this update for tomorrow, though.

1. Added Observer Blocks. They have lenses from an item.
2. Added Bone Blocks. There was nothing remotely close on my sprite sheet, so I had to fudge this one.
3. Added Netherwart Blocks. They are piles of Power Herb (Odd Herb in Pixelmon)
4. Added Red Nether Brick. There are three options for this. Check the customizer!
5. Added the shulker box top blocks.
6. Added shameless recolors of the structure blocks.
7. Added Iron Nuggets
8. Added Shulker Shell Item
9. Added Structure Void
10. Added Totem of Undying- It's an RGB-ing Revive.
11. Added proper map icons to the map PNG.
12. Added missing "Whatever Co." Mob textures to the Pixelmon version. Enjoy this mess of poop you're not supposed to see.
13. Made the sun and moon an actual sun and moon. The Lunatone and Solrock are in the customizer.
14. Removed Lavender Town

3/14/17- Mob Skin Beta

1. Featuring Avalugg as the Polar Bear!
2. Sawsbuck as the Llama!
3. Mewtwo as the Evoker!
4. Brainwashed Machoke (or human) as the Vindicator!
5. Clone Drone as the Vex!
6. Meta Shellder as the Shulker!
7. Cofagrigus as the Husk!
8. Froslass as the Stray!
9. And Cinccino as Alice! (jk lol)

10. Added Shulker Box GUI!
11. Slipped some combat sounds in there for you.

12. Fixed a few issues with the GUI.
13. Fixed the cow butt texture.
14. Removed Lavender Town

School is being a burden, but it should be fairly straightforward from here. Just blocks, items and a couple other doodads to mess with before release! Happy pie day!

2/11/17- Fixed sounds!

NOTE: This Pack is incomplete! There are a bunch of textures missing! This week's beta version is testing to see if the broken sounds from the last beta work!

1. Fixed the Evoker sounds not playing properly. Something about a misspelled folder. Anyway, if my Mewtwo voice isn't great, there are alternate sounds in the "SOUND CUSTOMIZER" folder.

2. Fixed Guardian Corsola not making the echoey sound underwater.

3. Made Vexes not talk. If you liked the memey robot voice, it's in the customizer. Otherwise, they make mechanical robot sounds.

4. Abandoned working on custom sound events for now. I can't get the .json file to call them. If you know how, please tell me. At least the standard sounds work like they should (I hope.)

5. Removed Lavender Town.

Sorry for not updating. I've been swamped with schoolwork, and actual Pokémon games kind of happened. In other news, Lucario has been dethroned as my favorite Pokémon. That honor now goes to Silvally. Changing my favorite anything is not easy.

Seriously, mobs next!

11/13/16- The Sound Beta!

NOTE: This Pack is incomplete! There are a bunch of textures missing! This week's beta version is just the test for the new sounds! Play this pack on the latest 1.11 snapshot on a new world, so as to avoid corrupting your saves. PM me on Planet Minecraft with any issues. Any PMs not relevant to sounds or lack thereof will be ignored and deleted.

Removed the "sound" folders from the pack. This has cut the file size by a metric butte tonne. The "sounds" folder is still there.

Added custom sounds for the Evoker. The Evoker is Mewtwo in this pack, and Mewtwo can talk. I have recorded and edited my own dopey voice to try to make it sound good. If you don't like my Mewtwo voice, there is an option to replace the sounds with non-words files.

Added sounds for Vindicators. Vindicators were hard to figure out an analog for, but I finally decided on Machoke that were under Mewtwo's brainwashing. Machoke don't strike me as the smartest Pokémon, and I would think they have little resistance to psychic mind control.

Added at least 23 custom sound events. Most of the new sounds can be found in the "custom" folder in "sounds".

Added a bunch of new sounds that I missed before / were added recently. The Enderchest sounds like a proper PC now!

Added Husk sounds. They will be Cofagrigus.

Added Stray sounds. They will be Froslass.

Vexes will be attack drones summoned by Mewtwo. They use a text-to-speech program. It's the same one that was used to make AYBABTU (Ogif's Talkany).

Added Llama sounds. They will be Sawsbuck.

Added Polar Bear sounds. They will be Avalugg. Don't mess with their Lugglets.

Added Killer Rabbit attack sounds. The MISSINGNO. rabbit now sounds like a proper eldritch abomination. It's loud, frightening and slightly annoying, but you encounter the Killer Rabbit so seldom, I wanted to make the few encounters you do have count.

I'm wondering if the Shulker Box uses the same textures as the Shulkers themselves. If it does, I might change the Shellder design to look more mechanical, like a stony Distorted Shellder, or maybe a Meta Shellder.

I replaced the makeshift low health whine sound for wolves with an actual one.

I removed the sounds in the customizer that don't actually change any sounds, freeing up a few more Megs.

I seriously cut down the armor sounds. All the armor is clothes in this pack, so all the armor makes a fluffy sound.

Let me know about any bugs with the pack! Also, tell me if anything's too loud or annoying, or just totally unbearable! PM me on PlanetMinecraft.

1/16/16

1. Stripped down the Pixelmon version into a "patch" that fits over Pokécraft. This has reduced the file size a lot.

2. Made the minty greenness off by default.

3. Added some new menu music. Check out the credit file in the menu music folder.

4. Added vanilla Minecraft skins for mobs in Pixelmon Patch. You will find this assortment of rejectoids... interesting. The sound files are able to be moved so that the Pixelmon Patch works. Read the Readme file.

5. Added all the 1.9 stuff. Elytra are Flygon wings. Beetroots are Tamato Berries in the standard version and "Torbet Berries" in the Pixelmon Patch.

6. Updated the icons.png

7. Added the shield slot on inventory.png

8. Added the Blaze Powder slot on the brewing stand interface, as well as the fuel bar.

9. Kicked Mainstreamachu

10. Added the new End stuff. There isn't much in the Distortion World, so I had to fudge some stuff. Purpur blocks are that blue Distortion World stone (which I call Giratane). I was able to pull off a hexagon pattern for the End Bricks. Chorus plants are those weird spiky plants. Chorus fruits are definitely Gira Berries and not recolored Ganlon Berries. They transmute into stone when exposed to heat, because Distortion World.

11. Added shields. They reflect the alterations made to banners. The shields are also double resolution in this pack so the banner patterns aren't compressed.

12. Added the different command blocks. Personally, I don't see the need to animate them, as they aren't supposed to be seen, but whatever.

13. Added grass paths.

14. Punted a Purrloin. Stupid thief.

15. End Crystals are now known as "Griseous Casters".

16. Pixelmon Version:
	Lingering potions are Colress flasks attached to spray mechanisms and stands.
	Dragon's breath is in a flask. I don't yet know how Pixelmon will implement this, so this may change.

17. Changed Dawnstone and Duskstone shovels to be a heart-shaped staff and a blind eye-shaped staff to reflect the uses for the EvoStones. The originals are in the customizer. Tool degredation is coming when I figure out the json coding for that.

18. Tweaked the lang files

19. Changed the Leaf Stone Ore to match the new mechanic in Pixelmon

20. Removed Lavender Town

P.S. I haven't added the new sounds yet because I don't have a sample of the sounds folder structure. Those are coming sometime soon.

8/15/15

1. Changed Iron Ingots in the Pixelmon Version so they aren't Iron Balls. They're now decolorized Nuggets.

2. Made the moving floor plates more interesting. There is an unaminated version in the customizer for slower computers.

3. Removed Lavender Town

7/27/15
The "Pixelmon Guys ran me the heck out of berries so flip it, I'm making my own" Update!

1. Wheat is now Soyben Berries. The Haybale is now a Soyben Berry Crate and Bread is now Tofu.

2. Carrots are now Torac Berries. Golden version and On-A-Stick version included.

3. Potatoes are now Yamma Berries. You can bake 'em. There is a rotten version as well.

4. Pumpkins are now Skosh Berries. Install a Poké Ball bulb (torch) in them and they light up.

5. Melons are now Ulnawt Berries. They're inspired by the nut things from the forest dungeon from Wind Waker, but these are berries. Trust me.

6. Made Iron Ore more noticeable. You senpais should notice Iron Ore now.

7. Tweaked a few textures.

8. Tweaked the language files.

9. Amalgamated the pixelutilities folder in the standard version into the pixelmon folder.

10. Removed Lavender Town
--------------------------------------------------------------------
5/22/15
Pixelmon Updates!

1. Changed the Nether Star from a Light Ball to a Prism Sphere.

2. Changed wheat from Custap Berries to Pinap Berries. You're running me out of options, Pixelmon guys! Also changed the crops textures and haybales.

3. Netherwart is now a purple "Odd Herb", following the release of Power Herb in Pixelmon.

4. Integrated the PixelUtilities folder into the Pixelmon folder.

5. Tweaked the language files.

6. Removed Lavender Town
-----------------------------------------------------------------------
3/16/15
1. Pixelmon Version: Changed pumpkins to Niniku Berries. Pixelmon added Pumkin Berries.

2. Fixed the records. They're in the right folder now.

3. Removed Lavender Town
----------------------------------------------------------------------
3/7/15
1. Added support for the coming PixelUtilities integration. Made custom textures for some of the new minerals, blocks and items.
	Also, the $1 Pokécoin is now copper and Pixelmon Grass is a darker "jungley" green.

2. Added the new tools added with the update. EvoStone tools glow.
	I had trouble coming up with creative weapons to replace the swords with. I've got a lance, a whip, a couple of [LASER SWORD]s, a mace, a trident, and a few others.
	I added "staff" options for some of the EvoStone shovels. Seeing as they have right click abilities, I figured those who want an EvoStone tool just for the right click ability would logically make a shovel, using only one EvoStone. I also included customizer options for shovels for those tools.
	Made tools overall cooler looking and less cookie cutter Minecraft tool-like.

3. Added custom armor for EvoStone stuff. I also changed chain armor to be a Brendan costume, and aluminum armor is now a Hilbert costume. Team Plasma armor has been de-noised.
	Dawnstone Armor is a Suicune Knight armor suit.
	Duskstone Armor is untextured, as I don't know what wearing a full suit of it will do.
	Firestone Armor is the Magma Suit.
	Leafstone Armor is a Florges Ceremonial outfit, like for ringing in spring or something. Heck, I couldn't think of anything better.
	Waterstone Armor is the Aqua Suit.
	Thunderstone Armor is a "Captain Raichu" suit.
	Sunstone Armor is power armor for my fanfictional team "Team Solar". I've included a small piece explaining my teams.
	Moonstone Armor is power armor for my fanfictional team "Team Lunar". They are also explained in the piece.
	(Can you tell I wasn't prepared for this update announcement?)

4. Added an option to make the Minecraft armor be costumes of the female protagonists. The sets match the male protagonists relating to game. (A May costume in place of the Brendan costume, etc.) I also added a Hilda outfit for aluminum.

5. Added a custom sound option to make the mob sounds in the non-Pixelmon version the new cries. Also removed the Ditto noises in the Slime soundpool. Walking on slime blocks sometimes caused the Ditto cry to play, and that's just weird.

6. Pixelmon version: Changed raw fish to be fish filets, seeing as you get them from fish Pokémon. The original fish files are still included in the customizer.

7. Tweaked the language files for Pixelmon and PixelUtilities

8. Removed Lavender Town.
--------------------------------------------------
2/10/15
1. Removed custom TMs because the Pixelmon Team made better versions.

2. Added a different menu background. The old one is still there if you want to use it.

3. Removed Lavender Town
-------------------------------------------------
2/2/15

1. Made some TMs look different so you can tell at a glance.

2. Added custom Water Stone Ore.

3. Removed Lavender Town
--------------------------------------------------
12/2/14

1. Added Dusk Stone Ore.

2. Changed the shears in the Pixelmon version to look different. They are now "insulated" Razor Claws, so you can shear Mareep and have an excuse for not getting zapped.

3. Removed Lavender Town
------------------------------------------------------------------------------------
11/26/14

The Pixelmon Music Update

1. Made the standard Minecraft music in the Pixelmon Edition silent. Now only the Pixelmon music can be heard!

2. Since Charcoal is a thing in Pixelmon now, Minecraft charcoal is now Low Grade Charcoal and looks all burnt up and stuff.

3. Removed Lavender Town
-------------------------------------------------------------------------------------
8/18/14

Updated for 1.8!

1. Added stuff for Ocean Monuments! I've decided they're Lugia Temples. The Corsola there are less than keen about giving up their golden treasure and will curse anyone coming by. They will also use Power Gem profusely to ward off raiders. I think I did the texture wrong, and there's this little sliver of the tail that I can't get rid of. There may be pink bits that should be white, but until I get a template for guardians, it'll have to do.

2. Added rabbits. You've never seen such a cute assortment of rabbit-shaped Plusle, Minun, Buneary and Bunnelby. Just watch out for the deadly and equally rare MISSINGNO. rabbit.

3. Added banners. I changed a few things about them. The creeper face is now a Team Rocket logo. The Mojang symbol has been replaced with the emblem of Arceus. Now you can have an evil base or a secret gathering spot of the Arceist cult!

4. Added armor stands.

5. Updated the language file.

6. Redstone has been changed into Chargestone! It's blue now. To get the full effect, though, you'll need MCPatcher. The original files are still there. Check the customizer!

7. Custom Item Textures Mod support added! If you have MCPatcher, tools will show wear as they're being used! Stone tools will crumble, Diamond tools will break off pieces until they're just about to break (then they'll start flashing!), iron tools will rust, gold tools will dull and wooden tools will eventually splinter into nothing!

8. *dramatic fanfare* Pixelmon support added! I tried to make CIT support for this, but I couldn't figure it out. PM me over PlanetMinecraft if you have the solution and I'll credit you in a future release! I added all the aluminium tools and all the hammers in the mod. (even the aluminium hammer!) I didn't mess with the Pokémon textures and I don't plan to. I changed the mod ores to match the stone. But that's not all...

9. Pixelmon Specific Version! I made a separate version of the resource pack optimized for Pixelmon! This version doesn't use most of the textures in the standard version that are items in the mod. EXP Potions are now pearls. Potions have been replaced with Colressy test tube flasks. Also, blocks and items that were Pokémon before are now not so. Cacti are now cacti and not stacks of Cacnea. Pumpkins are no longer Swadloon (They're Pumkin Berries) and melons are not Gloom now (Watmel Berries). Also, since Magikarp are actual mobs in this mod, you can now fish for seaweed (Clownfish), Clauncher (Cod), Clawitzer (Salmon) and Skrelp (Pufferfish), as the water Pokémon mentioned are unlikely to be implemented in the near future. Bows have been changed from bone style into compound bows. I went off a picture I found on Wikipedia, and my sister has a compound bow, so I know what one looks like, but I don't know how it looks drawn back, so it may be off a little.

10. Fiddled with the Ender Chest so it's different looking from a PC (It's the "Item Storage System".). Did a few other things.

11. Changed dirt. Contains 43.22475% more brown. The originals are in the customizer. Also added coarse dirt.

12. Added a proper double grass texture. The original is in the customizer, if you insist on using that ugly old thing. Added an option to make tall grass shorter.

13. Removed Lavender Town.
----------------------------------------------------------------------------
6/1/14

Update for 1.7.9! This one changes some stuff.

1. Added custom font. I didn't change all the font, just enough to cover the ascii page and the sga page.
	The ascii page uses the font from Red/Blue. Thanks to Dragn for suggesting this!
	The sga page (The font for the enchanting table) uses some Unown letters. True Pokémon Masters should actually be able to read it now! It does run over the button sometimes. This can't be helped.

2. Changed how water splashies look. Fishing should be a little easier now.

3. Changed potion effect particles to look like the "Poisoned" bubble effect.

4. Changed zombies so they aren't as buzzy and headache-inducing.

5. Experience Potions are now Rare Candies.

6. Added a custom language file. It's really buggy right now and it keeps reverting, but I'm having CK20XX look at it. If on the off chance it does work, you can enable it by going to Language while this pack is active. It's called English(Pokemon). Again, I can't guarantee it'll work.